<?php

$ses = new SessionHelper();
$id_user = $ses->getSession('loginId');


$twt = new tweetModel();
$x = $twt->listaUnico("COUNT(DISTINCT(fase)) as cnt", "id_anotador=:id_anotador", array(":id_anotador"=>$id_user));
$NB_FASES = $x["cnt"];

$total = count($twt->listaDados("id", "fase=:fase AND id_anotador=:id_anotador", 
                                array(':fase'=>FASE_COMPARTILHADA_ID, ':id_anotador'=>ID_USER_FASE_1)));
$res_not_null = $twt->listaAnnTweets("confirmation IS NOT NULL AND fase=:fase AND id_user=:id_user", 
                                     array(":fase"=>FASE_COMPARTILHADA_ID, ":id_user"=>$id_user));

$perc = 100 * count($res_not_null) / $total;
$nb_pags = ceil($total / MAX_NB_TWEETS);
$correct_page_number = min(max(1, ceil((count($res_not_null)+1) / MAX_NB_TWEETS)), $nb_pags);


?>


 <body>
    <div class="container">

        <div class="row">
            <div class="col-md-12">
                <div class="jumbotron">
                    <center>
                    <h4>Fase 1: <small><?php echo count($res_not_null); ?> tweets de <?php echo $total; ?></small> </h4>
                    
                        
                    
                    <div class="progress">
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: <?php echo $perc; ?>%; min-width: 3em;">
                         <?php echo number_format((float)$perc, 1, '.', ''); ?>%
                        </div>
                    </div>
                    <div>
                        <a href="index.php?c=anotacao&fase=1&pag=<?php echo $correct_page_number; ?>"><button type="button" class="btn btn-default">Anotar</button></a>
                    </div>
                    </center>
                </div>
            </div>

        </div> <!-- row -->


        <?php 

        
        $cnt_res_not_null_ant = -1;
        $total_ant = 0;
        for($fase=2; $fase<=$NB_FASES+1; $fase++){
            
            $res_null = $twt->listaAnnTweets("confirmation IS NULL AND fase=:fase AND id_anotador=:id_anotador", 
                                 array(":fase"=>$fase, ":id_anotador"=>$id_user));
            $res_not_null = $twt->listaAnnTweets("confirmation IS NOT NULL AND fase=:fase AND id_anotador=:id_anotador", 
                                                  array(":fase"=>$fase, ":id_anotador"=>$id_user));
            $total = count($res_null) + count($res_not_null);
            $i = $fase - 2;
            $perc = ($total==0) ? 0 : 100 * count($res_not_null) / ($total);
            $nb_pags = ceil($total / MAX_NB_TWEETS);
            $pag = min(max(1, ceil((count($res_not_null)+1) / MAX_NB_TWEETS)), $nb_pags);

            

        if($i%2 == 0){ ?>
        <div class="row">
        <?php } ?>

            <div class="col-md-6">
                <div class="jumbotron">
                    <center>
                    <h4>Fase <?php echo $fase; ?>: <small><?php echo count($res_not_null); ?> tweets de <?php echo $total; ?></small> </h4>
                    <div class="progress">
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: <?php echo $perc; ?>%; min-width: 3em;">
                        <?php echo number_format((float)$perc, 1, '.', ''); ?>%
                        </div>
                    </div>
                    <div>
                        <a href="index.php?c=anotacao&fase=<?php echo $fase; ?>&pag=<?php echo $pag; ?>"><button type="button" class="btn btn-default">Anotar</button></a>
                    </div>
                    </center>
                </div>
            </div>

        <?php if($i%2 != 0){ ?>
        </div> <!-- row -->
        <?php } 

            if($cnt_res_not_null_ant != $total_ant)
                break;

            $cnt_res_not_null_ant = count($res_not_null);
            $total_ant = $total;
        }
        ?>

       


    </div>

  </body>
</html>