<?php
header('Content-Type: text/html; charset=utf-8');
$filename = 'data/tweets.txt';
$tweets = new TweetModel();

$tweets->query("DELETE FROM tweets");
$tweets->execute();

$fase1_lim = 200;
$total_tweets = 45635; // wc -l data/tweets.txt

$nb_anotadores = 6;
$nb_fases = 6; // com a fase1 ficam 7 fases (mas a fase 1 são só $fase1_lim tweets)

// consequencias desse cod:
// se os numeros nao forem multiplos entre si,
// entao o ultimo anotador vai anotar o resto da divisao por $nb_anotadores
// ou seja, o ultimo anotador pd ter que anotar até $nb_anotadores tweets a mais
// mas isso é pouca coisa...



$tweets_per_anotador = (int) (($total_tweets - $fase1_lim)/$nb_anotadores); 
$tweets_per_fase = ceil($tweets_per_anotador / $nb_fases);

$GET_MES["Jan"] = 1;
$GET_MES["Feb"] = 2;
$GET_MES["Mar"] = 3;
$GET_MES["Apr"] = 4;
$GET_MES["May"] = 5;
$GET_MES["Jun"] = 6;
$GET_MES["Jul"] = 7;
$GET_MES["Aug"] = 8;
$GET_MES["Sep"] = 9;
$GET_MES["Oct"] = 10;
$GET_MES["Nov"] = 11;
$GET_MES["Dec"] = 12;


$handle = fopen($filename, "r");
if($handle){
	$i = 1;
	$id_anotador = 0;
	$fase = 1;
	$last_dia = 1;
	$last_mes = 1;
	while(($line = fgets($handle)) !== false){


		$line = explode("\t", $line);
		$id_original = $line[0];
		$hashtag = $line[1];
		$txt = $line[2];
		$dia = (int) $line[3];
		$mes = $GET_MES[trim($line[4])];
		
		if(sizeof($line) != 5){
			echo sizeof($line).': '.$txt;
			echo "<br>"; 
		}

		if($mes == null)
			$mes = $last_mes;
		if($dia == null)
			$dia = $last_dia;

		$score = 0; # rand(-1, 1); #-1 neg, 0 neu, 1 pos
		if($i > $fase1_lim){
			$j = ($i - $fase1_lim);
			$k = $j % $tweets_per_anotador;
			$id_anotador = min($nb_anotadores, ceil($j / $tweets_per_anotador));
			$fase = max(2, ceil($k / $tweets_per_fase) + 1);
		}

		$campos = "text, score, fase, id_anotador, id_original, hashtag, dia, mes";
		$bind_campos = ":text, :score, :fase, :id_anotador, :id_original, :hashtag, :dia, :mes";
		$data = array(":text"=>$txt, ":score"=>$score, ":fase"=>$fase, ":id_anotador"=>$id_anotador,
					  ":id_original"=>$id_original, ":hashtag"=>$hashtag, ":dia"=>$dia, ":mes"=>$mes);
		// $tweets->insereDados($campos, $bind_campos, $data);

		$last_dia = $dia;
		$last_mes = $mes;
		$i++;
	}
	fclose($handle);
} 
else{
	echo "error opening the file.";
}



