<?php

date_default_timezone_set('America/Sao_Paulo');
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
debug_backtrace();

define('HELPERS', 'helpers/');
define('MODELS', 'models/');

function __autoload($file){
  if(file_exists(MODELS . lcfirst($file) . '.php'))
    require_once(MODELS . lcfirst($file) . '.php');
  else if(file_exists(MODELS . ucfirst($file) . '.php'))
    require_once(MODELS . ucfirst($file) . '.php');
  else if(file_exists(HELPERS . lcfirst($file) . '.php'))
    require_once(HELPERS . lcfirst($file) . '.php');
  else if(file_exists(HELPERS . ucfirst($file) . '.php'))
    require_once(HELPERS . ucfirst($file) . '.php');
  else
    die("Model, Helper, Controller ou View nao encontrado!". $file);
}

$annModel = new anotacaoModel();
$id_tweet = (int) $_GET['id_tweet'];
$id_user = (int) $_GET['id_user'];
$score = (int) $_GET['score'];
$confirmation = (int) $_GET['confirmation']; 

$sql = $annModel->listaUnico("id", "id_tweet=:id_tweet AND id_user=:id_user", 
                array(":id_tweet"=>$id_tweet, ":id_user"=>$id_user));
if($sql){
  // atualiza pq ja ta la
  $campos = "score=:score, confirmation=:confirmation";
  $where = "id_tweet=:id_tweet AND id_user=:id_user";
  $data = array(":id_user"=>$id_user, ":id_tweet"=>$id_tweet, 
                ":score"=>$score, ":confirmation"=>$confirmation);
  $annModel->editaDados($campos, $where, $data);
}
else{
  // add novos
  $campos = "id_user, id_tweet, score, confirmation";
  $bind_campos = ":id_user, :id_tweet, :score, :confirmation";
  $data = array(":id_user"=>$id_user, ":id_tweet"=>$id_tweet, 
                ":score"=>$score, ":confirmation"=>$confirmation);
  $annModel->insereDados($campos, $bind_campos, $data);
}