<?php

abstract class DataBase{

	protected static $conn;
	public $_tabela;

	public function __construct(){

		$host = "127.0.0.1";
		$dba = "annsent";
		$user = "root";
		$pass = "root";

		try{
			self::$conn = new PDO("mysql:host=$host; dbname=$dba", $user, $pass);

			# Garante que o PDO lance exceções durante erros.
			self::$conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

			# Garante que os dados sejam armazenados com codificação UFT-8.
			self::$conn->exec('SET NAMES utf8');
		}
		catch(PDOException $e){
			die("Connection Error: " . $e->getMessage());
		}
	}

	public static function get_connection(){
		if(!self::$conn)
			self::$conn = new DataBase();
		return self::$conn;
	} 

	// FAZER CRUD
}