<?php

$ses = new SessionHelper();
$id_user = $ses->getSession('loginId');

$ann = new anotacaoModel();
$nb = $ann->listaDados("score, COUNT(id)", "id_user=:id_user GROUP BY score", array(':id_user'=>$id_user));

$twt = new tweetModel();
$total = count($twt->listaDados("id", "id_anotador=:id_anotador", array(':id_anotador'=>$id_user)));

$nb_neg = 0;
$nb_neu = 0;
$nb_pos = 0;
$total_anotado = 0;
$p_neg = 0;
$p_neu = 0;
$p_pos = 0;

if(count($nb) > 0){
  $nb_neg = $nb[0]["COUNT(id)"];
  $nb_neu = $nb[1]["COUNT(id)"];
  $nb_pos = $nb[2]["COUNT(id)"];
  $total_anotado = $nb_neg+$nb_neu+$nb_pos;
  $p_neg = number_format((float)100*$nb_neg/$total_anotado, 1, '.', '');
  $p_neu = number_format((float)100*$nb_neu/$total_anotado, 1, '.', '');
  $p_pos = number_format((float)100*$nb_pos/$total_anotado, 1, '.', '');
}


?>



<div class="container">

      <div class="blog-header">
        <h4 class="blog-title">Henrico Brum</h4>
        <!-- <p class="lead blog-description">The official example template of creating a blog with Bootstrap.</p> -->
      </div>


      <div class="jumbotron">

        <strong>Tweets anotados: </strong> <?php echo "$total_anotado de $total"; ?> (faltam <?php echo $total-$total_anotado; ?>)
        <br>
        <strong>Tweets anotados (positivos): </strong> <?php echo "$nb_pos ($p_pos%)"; ?>
        <br>
        <strong>Tweets anotados (neutros): </strong> <?php echo "$nb_neu ($p_neu%)"; ?>
        <br>
        <strong>Tweets anotados (negativos): </strong> <?php echo "$nb_neg ($p_neg%)"; ?>
      </div>


    </div><!-- /.container -->